[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
  [[> :templateBreadcrumb uri=":manageTerms" label="Manage Terms" tab="bookTypes"]]
</ol>

<semantic-query
  query='SELECT ?type_name WHERE
    {
      ?type ecrm:P3_has_note ?type_name .
      BIND(<[[urlParam "booktypeiri"]]> as ?type)
     }'
  template="<h3>{{#each bindings}}{{type_name.value}}{{/each}}</h3>">
</semantic-query>

<semantic-link
  uri=":addBookType"
  urlqueryparam-resiri="[[urlParam "booktypeiri"]]"
  class="btn btn-md btn-primary gap-bottom" >Edit</semantic-link>

<div class="content">

  <h4 style="margin:2em 0">Books of this type</h4>
  <semantic-table config='{
  	"query":"SELECT DISTINCT [[> :queryBooksSelect ]]  WHERE {

      BIND(<[[urlParam "booktypeiri"]]> as ?type)
      ?subject ecrm:P2_has_type ?type .

      [[> :queryBooks]]
    } GROUP BY [[> :queryBooksGroup]]
     ORDER BY ?year_published_from ?date_text",
    "layout":{
      "options":{
        "showFilter" : false,
        "resultsPerPage":100
      }
    },
  	"columnConfiguration" : [
      [[> :colConfBooks]]
    ]
  }'>
  </semantic-table>

  <dl>

    [[> :identifier iri="booktypeiri"]]

  </dl>
</div>
